package com.narutohuo.xindazhou

import android.app.Application
import com.narutohuo.xindazhou.launch.AppInitializer
import com.narutohuo.xindazhou.push.PushKit

/**
 * 应用程序入口
 */
class XinDaZhouApplication : Application() {
    
    override fun onCreate() {
        super.onCreate()
        
        // 统一初始化所有模块
        AppInitializer.init(this)
        PushKit.init(
            context = this,
            // 页面映射规则（用于自动跳转，作为静态配置的补充）
            // 注意：如果已在 ActivityMapping 中配置，这里可以不传
            pageMappings = mapOf(
                "home" to MainActivity::class.java,       // 首页
            )
        )
    }
}

